import { select, arc } from "d3";

const svg 		= d3.select('svg');

const height 	= +svg.attr('height');
const width 	= +svg.attr('width');

const g = svg
	.append('g')
    .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle 	= g
	.append('circle')
    .attr('r', height / 2.4)
    .attr('fill', 'red')
    .attr('stroke', 'black');
	
const eyespacing = 100;
const eyeY = -70;
const eyeRadius = 25;
const eyebrowHeight = 15;
const eyebrowWidth = 50;
const eyebrowYoffset = -50;
const mouthHeight = 25;
const mouthWidth = 100

const eyesG = g
	.append('g')
    .attr('transform', `translate(0, ${eyeY+10})`);

const mouthz = g
	.append('g')
    .attr('transform', `translate(0, 60)`);

const leftEye 	= eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyespacing)

const rightEye	= eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyespacing)


const leftEyebrow = eyesG
	.append('rect')
    .attr('x', -eyespacing - eyebrowWidth/2)
    .attr('y', eyebrowYoffset-30)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)


const rightEyebrow = eyesG
	.append('rect')
    .attr('x', eyespacing - eyebrowWidth/2)
    .attr('y', eyebrowYoffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)

const mouth = mouthz
	.append('path')
    .attr('d', arc()({
      innerRadius: 0,
      outerRadius: 50,
      startAngle: Math.PI /2,
      endAngle: Math.PI * 3
  	}));

